package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;

import javax.validation.constraints.NotNull;

/**
 * 联合商户资源详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/2/4 9:51 AM 
 */
public interface UnionEnterpriseAuthResDetailApiService {

    /**
     * 业务方数据授权回调
     * @return
     */
    ServiceResponse<Void> authDataCallback();

    /**
     * 门店资源联合进程
     * @param authStatus 资源联合状态 UnionEnterpriseAuthDetailStatusEnum
     * @param ownEnterpriseId 自有商户ID
     * @param unionEnterpriseId 联合商户ID
     * @return
     */
    ServiceResponse<Void> unionForStore(@NotNull Integer authStatus, @NotNull Integer ownEnterpriseId, @NotNull Integer unionEnterpriseId);

}
